<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="domain.socket-binding-group" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="default-interface,includes"/>
        <elem name="addr-params" value="socket-binding-group"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="domain.socket-binding-group"/>
    </annotation>
    <provides>
        <capability name="org.wildfly.domain.socket-binding-group.$socket-binding-group"/>
    </provides>
    <requires>
        <capability name="org.wildfly.network.interface.$default-interface"/>
    </requires>
    <params>
        <param name="socket-binding-group" feature-id="true"/>
        <param name="default-interface" stability="default"/>
        <param name="includes" nillable="true" type="List&lt;String&gt;" stability="default"/>
    </params>
</feature-spec>